Summary:        GNU Toolchain for m68hc05
Name:           m68hc05-gnu
Version:        0.0.2
Release:        1
Epoch:          0
License:        GPL, LGPL and other
Group:          Development/Tools
URL:            http://www.auto.tuwien.ac.at/~mkoegler/index.php/bcu
Source0:        m68hc05-gnu_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       m68hc05-g++, m68hc05-dejagnu

%description
GNU Toolchain for m68hc05

%package -n m68hc05-gcc
Summary:       GCC for m68hc05
Group:         Development/Tools
Requires:      m68hc05-binutils
%package -n m68hc05-g++
Summary:       g++ for m68hc05
Group:         Development/Tools
Requires:      m68hc05-gcc
%package -n m68hc05-binutils
Summary:       binutils for m68hc05
Group:         Development/Tools
%package -n m68hc05-gdb
Summary:       gdb with m68hc05 simulator
Group:         Development/Tools
%package -n m68hc05-runtime
Summary:       Runtime files for the m68hc05 simulator
Group:         Development/Tools
%package -n m68hc05-dejagnu
Summary:       Dejagnu for m68hc05 simulator
Group:         Development/Tools
Requires:      dejagnu, m68hc05-gdb, m68hc05-gcc, m68hc05-runtime

BuildRequires: gcc, gettext, make, tar, patch, bison, flex, readline-devel

# no debug package + strip
%define __spec_install_post %{nil}
%define debug_package %{nil}

%description -n m68hc05-gcc
m68hc05 port of GCC, needs a runtime library to build programs

%description -n m68hc05-g++
very experimental version of m68hc05-g++
try to avoid using rtti and exceptions
libstdc++ is not available

%description -n m68hc05-binutils
m68hc05 port of the binutils
support relaxation and section movement

%description -n m68hc05-gdb
gdb for m68hc05 with a simultor for the processor core
without any IO.

%description -n m68hc05-runtime
runtime environment (newlib) to compile for the simultor.
use -lsim -lc -lsim to link for it.

%description -n m68hc05-dejagnu
Additiononal files required to use dejagnu with the m68hc05
simulator. Use RUNTESTFLAGS=--target_board=m68hc05-sim.

%prep
%setup -q  

%build
./configure --host=%{_host} --build=%{_build} \
        --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} \
        --includedir=%{_includedir} --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
        --infodir=%{_infodir} \
    --enable-languages=c,c++ --disable-shared --with-system-zlib --enable-long-long --enable-nls --without-included-gettext \
    --enable-gdbtk=no --disable-newlib-io-float --target=m68hc05
# this is necessary; without it make -j fails
make %{?_smp_mflags}



%install
mkdir -p $RPM_BUILD_ROOT/usr/share/dejagnu/baseboards
cp dejagnu-m68hc05/baseboards/m68hc05-sim.exp $RPM_BUILD_ROOT/usr/share/dejagnu/baseboards/m68hc05-sim.exp
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/locale
rm -rf $RPM_BUILD_ROOT/usr/share/info
rm -rf $RPM_BUILD_ROOT/usr/share/man/man7
rm -rf $RPM_BUILD_ROOT/usr/bin/m68hc05-c++filt
rm -rf $RPM_BUILD_ROOT/usr/bin/m68hc05-gcov
rm -rf $RPM_BUILD_ROOT/%{_libdir}/gcc/m68hc05/4.2.0/libgcov.a
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libiberty.a
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libm68hc05-sim.a
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libmmalloc.a
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/m68hc05-c++filt.1
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/m68hc05-dlltool.1
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/m68hc05-gcov.1
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/m68hc05-nlmconv.1
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/m68hc05-windres.1
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/m68hc05-windmc.1

%clean
rm -rf $RPM_BUILD_ROOT




%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB COPYING.NEWLIB

%files -n m68hc05-gcc
%defattr(-,root,root,-)
/usr/bin/m68hc05-gcc
/usr/bin/m68hc05-cpp
/usr/bin/m68hc05-gcc-4.2.0
/usr/bin/m68hc05-gccbug
%{_libdir}/gcc/m68hc05/4.2.0/include
%{_libdir}/gcc/m68hc05/4.2.0/install-tools
%{_libdir}/gcc/m68hc05/4.2.0/libgcc.a
%{_libexecdir}/gcc/m68hc05/4.2.0/collect2
%{_libexecdir}/gcc/m68hc05/4.2.0/cc1
%{_libexecdir}/gcc/m68hc05/4.2.0/install-tools
/usr/m68hc05/bin/gcc
/usr/share/man/man1/m68hc05-gcc.1
/usr/share/man/man1/m68hc05-cpp.1

%files -n m68hc05-g++
%defattr(-,root,root,-)
/usr/bin/m68hc05-g++
/usr/bin/m68hc05-c++
/usr/m68hc05/bin/g++
/usr/m68hc05/bin/c++
/usr/share/man/man1/m68hc05-g++.1
%{_libexecdir}/gcc/m68hc05/4.2.0/cc1plus

%files -n m68hc05-binutils
%defattr(-,root,root,-)
/usr/bin/m68hc05-addr2line
/usr/bin/m68hc05-ar
/usr/bin/m68hc05-as
/usr/bin/m68hc05-ld
/usr/bin/m68hc05-nm
/usr/bin/m68hc05-objcopy
/usr/bin/m68hc05-objdump
/usr/bin/m68hc05-ranlib
/usr/bin/m68hc05-readelf
/usr/bin/m68hc05-size
/usr/bin/m68hc05-strings
/usr/bin/m68hc05-strip
/usr/m68hc05/bin/as
/usr/m68hc05/bin/ar
/usr/m68hc05/bin/ld
/usr/m68hc05/bin/nm
/usr/m68hc05/bin/objdump
/usr/m68hc05/bin/objcopy
/usr/m68hc05/bin/ranlib
/usr/m68hc05/bin/strip
/usr/m68hc05/lib/ldscripts
/usr/share/man/man1/m68hc05-addr2line.1
/usr/share/man/man1/m68hc05-ar.1
/usr/share/man/man1/m68hc05-as.1
/usr/share/man/man1/m68hc05-ld.1
/usr/share/man/man1/m68hc05-nm.1
/usr/share/man/man1/m68hc05-objcopy.1
/usr/share/man/man1/m68hc05-objdump.1
/usr/share/man/man1/m68hc05-ranlib.1
/usr/share/man/man1/m68hc05-readelf.1
/usr/share/man/man1/m68hc05-size.1
/usr/share/man/man1/m68hc05-strings.1
/usr/share/man/man1/m68hc05-strip.1

%files -n m68hc05-gdb
%defattr(-,root,root,-)
/usr/bin/m68hc05-gdb
/usr/bin/m68hc05-gdbtui
/usr/bin/m68hc05-run
/usr/bin/m68hc05-gprof
/usr/share/man/man1/m68hc05-gdb.1
/usr/share/man/man1/m68hc05-gdbtui.1
/usr/share/man/man1/m68hc05-run.1
/usr/share/man/man1/m68hc05-gprof.1

%files -n m68hc05-runtime
%defattr(-,root,root,-)
/usr/m68hc05/include
/usr/m68hc05/lib/*.a
/usr/m68hc05/lib/crt0.o

%files -n m68hc05-dejagnu
%defattr(-,root,root,-)
/usr/share/dejagnu


%changelog
* Sat Jul 30 2005 Martin gler <mkoegler@auto.tuwien.ac.at> - 0:0.0.0-3
- first version

