;;   Machine description for GNU compiler,
;;   for Freescale (Motorola) M68HC05 microcontrollers (256 Byte User Stack)
;;   Copyright (C) 2005 Martin Kgler
;;   Contributed by Martin Kgler <mkoegler@auto.tuwien.ac.at>

;; This file is part of GCC.

;; GCC is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; GCC is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GCC; see the file COPYING.  If not, write to the Free
;; Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
;; 02110-1301, USA.


;; automatically generated -- do not edit 

(define_constants [
;;alias
(REG_FLAG 4)
(REG_CARRY 5)
;; hard register
(REG_A 0)
(REG_X 1)
(REG_HW_SP 2)
(REG_HW_PC 3)
(REG_HW_CCR 4)
(REG_VIRT_CARRY 5)
;; soft SP/FP/.. 
(REG_AG 6)
(REG_VFP 7)
(REG_SP 8)
(REG_FP 9)
;; soft general register 
(REG_B 10)
(REG_C 11)
(REG_D 12)
(REG_E 13)
(REG_F 14)
(REG_G 15)
(REG_H 16)
(REG_I 17)
(REG_J 18)
(REG_K 19)
(REG_L 20)
(REG_M 21)
(REG_N 22)
])

(define_attr "cc" "none,set_czn,set_zn,set_n,compare,clobber"
  (const_string "none"))



(define_insn "indirect_jump"
[(set (pc) (match_operand:HI 0 "register_operand" "b"))]
""
"jmp __call_%0"
[(set_attr "cc" "none")])

(define_insn "jump"
 [(set (pc)
        (label_ref (match_operand 0 "" "")))]
""
"jmp %0")

(define_insn "nop"
 [(const_int 0)]
""
"#nop"
[(set_attr "cc" "none")])

(define_expand "movhi"
 [(set (match_operand:HI 0 "nonimmediate_operand" "")
        (match_operand:HI 1 "general_operand" ""))]
"!is_lowlevel()"
{
if(eeprom_operand(operand0,HImode))
  {
   rtx tmp=gen_reg_rtx(HImode);
   emit_insn(gen_movhi(tmp,operands[1]));
   emit_insn(gen_eestoreHI(operands[0],tmp));
   DONE;
  }
 if (memaddr_operand(operand0, HImode)
      && memaddr_operand(operand1, HImode))
    {
	rtx tmp=gen_reg_rtx(Pmode);
	emit_insn(gen_movhi(tmp,operands[1]));
        operands[1] = tmp;
    }
}
)

(define_expand "tablejump"
  [(parallel [(set (pc) (match_operand:HI 0 "regmem_operand" ""))
              (use (label_ref (match_operand 1 "" "")))])]
  ""
"")

(define_insn "*tablejump"
  [(parallel [(set (pc) (match_operand:HI 0 "register_operand" "b"))
              (use (label_ref (match_operand 1 "" "")))])]
  ""
"jmp __call_%0"
[(set_attr "cc" "none")])

(define_insn_and_split "*addsp"
[(set (reg:HI REG_SP) (plus:HI (reg:HI REG_SP) 
				 (match_operand 0 "immediate_operand" "i")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
if(abs(INTVAL(operands[0]))>253)
pedwarn("possible stack overflow (%d bytes allocated)",abs(INTVAL(operands[0])));
emit_insn(gen_LDA(gen_rtx_REG(QImode,REG_SP)));
emit_insn(gen_ADD(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(gen_STA(gen_rtx_REG(QImode,REG_SP)));
DONE;
}
[(set_attr "cc" "set_czn")]
)

(define_insn "mulxa"
[(parallel [
   (set (reg:QI REG_A)
        (mult:QI (reg:QI REG_A)
                 (reg:QI REG_X)))
   (set (reg:QI REG_X)
	(truncate:QI
	 (lshiftrt:HI 
	  (mult:HI (reg:QI REG_A)
	           (reg:QI REG_X))
		(const_int 8))))])]
"is_lowlevel()"
"mul"
[(set_attr "cc" "clobber")])

(define_insn_and_split "mulqi3"
[(set (match_operand:QI 0 "regmemne_operand" "=rBi")
        (mult:QI (match_operand:QI 1 "regmemimm_operand" "rBi")
                 (match_operand:QI 2 "regmemimm_operand" "rBi")))]
"!is_lowlevel()"
"error"
"is_lowlevel()&&!is_rega_rtx(operands[0])"
[(const_int 0)]
{
emit_insn(gen_LDA(operands[1]));
emit_insn(gen_LDX(operands[2]));
emit_insn(gen_mulxa());
emit_insn(gen_STA(operands[0]));
DONE;
}
[(set_attr "cc" "clobber")]
)

(define_insn_and_split "umulqihi3"
[(set (match_operand:HI 0 "regmemne_operand" "=rBi")
        (mult:HI (zero_extend:HI (match_operand:QI 1 "regmem_operand" "rB"))
                 (zero_extend:HI (match_operand:QI 2 "regmem_operand" "rB"))))]
"!is_lowlevel()"
"error"
"is_lowlevel()&&!is_rega_rtx(operands[0])"
[(const_int 0)]
{
emit_insn(gen_LDA(operands[1]));
emit_insn(gen_LDX(operands[2]));
emit_insn(gen_mulxa());
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(gen_STX(genSUBREG(operands[0],QImode,0,HImode)));
DONE;
}
[(set_attr "cc" "clobber")]
)

(define_expand "return"
  [(return)]
  "m68hc05_no_epilog_needed()"
  "")

(define_insn "return_internal"
  [(return)]
  ""
  "rts"
[(set_attr "cc" "none")])

(define_expand "epilogue"
  [(return)]
  ""
  "
{
  expand_epilog();
  DONE;
}")

(define_expand "prologue"
  [(const_int 0)]
  ""
  "
{
  expand_prolog();
  DONE;
}")




;; call

(define_expand "call"
  [(call (match_operand:HI 0 "call_insn_operand" "")
         (match_operand:HI 1 "general_operand" ""))]
  ""
  "")

;; call value

(define_expand "call_value"
  [(set (match_operand 0 "register_operand" "")
        (call (match_operand:HI 1 "call_insn_operand" "")
              (match_operand:HI 2 "general_operand" "")))]
  ""
  "")

(define_insn "*dcall"
  [(call (mem:HI (match_operand:HI 0 "nonmemory_operand" "i,??b"))
         (match_operand:HI 1 "general_operand" "X,X"))]
""
"@
jsr %0
jsr __call_%0"
[(set_attr "cc" "none")])

(define_insn "*vcall"
  [(set (match_operand 0 "register_operand" "=rB,??rB")
        (call (mem:HI (match_operand:HI 1 "nonmemory_operand" "i,??b"))
	      (match_operand:HI 2 "general_operand" "X,X")))]
""
"@
jsr %1
jsr __call_%1"
[(set_attr "cc" "none")])

(define_insn "CMPA"
[(set (cc0)
      (compare (reg:QI REG_A)
               (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i")))
]
"is_lowlevel()"
"@
cmp %0
cmp %%X,(%o0)
cmp %%X,(%o0+SPBASE)
cmp $%0"
[(set_attr "cc" "compare")])



(define_insn_and_split "cmpqi" 
  [(set (cc0)
        (compare (match_operand:QI 0 "regmempt_operand" "rAQT")
                 (match_operand:QI 1 "regmemimmst_operand" "rRBCUi")))
   ]
"!is_lowlevel()"
"error"
"is_lowlevel()&&(!is_rega_rtx(operands[0]))"
[(const_int 0)]
{
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_CMPA(genSUBREG(operands[1],QImode,0,QImode)));
DONE;
}
[(set_attr "cc" "compare")])

(define_insn "*clra"
[(set (reg:QI REG_A)
	(const_int 0))]
"is_lowlevel()"
"clra"
[(set_attr "cc" "set_zn")])

(define_insn "LDA"
[(set (reg:QI REG_A)
        (match_operand:QI 0 "regmemimmpt_operand" "rBw,D,Y,i,Q"))]
"is_lowlevel()&&!(is_regx_rtx(operands[0]))"
"@
lda %0
lda %%X,(%o0)
lda %%X,(%o0+SPBASE)
lda $%0
jsr __load_%0"
[(set_attr "cc" "set_zn")])

(define_insn "STA"
[(set (match_operand:QI 0 "regmemptne_operand" "=rBw,D,Y,Q")
        (reg:QI REG_A))]
"is_lowlevel()&&!(is_regx_rtx(operands[0]))"
"@
sta %0
sta %%X,(%o0)
sta %%X,(%o0+SPBASE)
jsr __store_%0"
[(set_attr "cc" "set_zn")])

(define_insn "*ldxsp"
[(set (reg:QI REG_X)
        (reg:QI REG_SP))]
"is_lowlevel()"
"ldx SP"
[(set_attr "cc" "set_zn")])

(define_insn "*ldxfp"
[(set (reg:QI REG_X)
        (reg:QI REG_FP))]
"is_lowlevel()"
"ldx FP"
[(set_attr "cc" "set_zn")])

(define_insn "LDX"
[(set (reg:QI REG_X)
        (match_operand:QI 0 "regmemimm_operand" "rB,i"))]
"is_lowlevel()&&!(is_rega_rtx(operands[0]))"
"@
ldx %0
ldx $%0"
[(set_attr "cc" "set_zn")])

(define_insn "STX"
[(set (match_operand:QI 0 "regmemne_operand" "=rB")
        (reg:QI REG_X))]
"is_lowlevel()&&!(is_rega_rtx(operands[0]))"
"stx %0"
[(set_attr "cc" "set_zn")])

(define_insn_and_split "*sptofp"
[(set (reg:HI REG_FP) (reg:HI REG_SP))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
emit_insn(gen_LDA(gen_rtx_REG(QImode,REG_SP)));
emit_insn(gen_STA(gen_rtx_REG(QImode,REG_FP)));
DONE;
}
[(set_attr "cc" "set_zn")])

(define_insn_and_split "*fptosp"
[(set (reg:HI REG_SP) (reg:HI REG_FP))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
emit_insn(gen_LDA(gen_rtx_REG(QImode,REG_FP)));
emit_insn(gen_STA(gen_rtx_REG(QImode,REG_SP)));
DONE;
}
[(set_attr "cc" "set_zn")])

(define_insn_and_split "*sptor"
[(set (match_operand:HI 0 "regmemptne_operand" "=rAQT")
	(reg:HI REG_SP))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
emit_insn(gen_LDA(gen_rtx_REG(QImode,REG_SP)));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(gen_rtx_CONST (QImode,
        gen_rtx_SUBREG (HImode,
        gen_rtx_SYMBOL_REF (HImode,
        "SPBASE"),
        0))));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])

(define_insn_and_split "*fptor"
[(set (match_operand:HI 0 "regmemptne_operand" "=rAQT")
	(reg:HI REG_FP))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
emit_insn(gen_LDA(gen_rtx_REG(QImode,REG_FP)));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(gen_rtx_CONST (QImode,
        gen_rtx_SUBREG (HImode,
        gen_rtx_SYMBOL_REF (HImode,
        "SPBASE"),
        0))));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])

(define_insn_and_split "*rtofp"
[(set (reg:HI REG_FP)
	(match_operand:HI 0 "regmempt_operand" "rAQTi"))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_STA(gen_rtx_REG(QImode,REG_FP)));
DONE;
}
[(set_attr "cc" "set_zn")])


(define_insn_and_split "*rtosp"
[(set (reg:HI REG_SP)
	(match_operand:HI 0 "regmempt_operand" "rAQTi"))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_STA(gen_rtx_REG(QImode,REG_SP)));
DONE;
}
[(set_attr "cc" "set_zn")])

(define_insn "negqi2"
[(set (match_operand:QI 0 "register_operand" "=r")
	(neg:QI (match_operand:QI 1 "register_operand" "0")))]
""
"neg %0"
[(set_attr "cc" "set_czn")])

(define_insn "one_cmplqi2"
[(set (match_operand:QI 0 "register_operand" "=r")
	(not:QI (match_operand:QI 1 "register_operand" "0")))]
""
"com %0"
[(set_attr "cc" "set_czn")])

(define_expand "ashlqi3"
[(set (match_operand:QI 0 "nonimmediate_operand" "")
  (ashift:QI
    (match_operand:QI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=8)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(QImode);
rtx reg2=simplify_gen_subreg(mode_for_size(8-INTVAL(operands[2]),MODE_INT,0),operands[1],
     QImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(8-INTVAL(operands[2]),MODE_INT,0),reg1,
	QImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(QImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftQI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrqi3"
[(set (match_operand:QI 0 "nonimmediate_operand" "")
  (ashiftrt:QI
    (match_operand:QI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(QImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtQI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrqi3"
[(set (match_operand:QI 0 "nonimmediate_operand" "")
  (lshiftrt:QI
    (match_operand:QI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=8)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(QImode);
rtx reg2=simplify_gen_subreg(mode_for_size(8-INTVAL(operands[2]),MODE_INT,0),operands[1],
     QImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(8-INTVAL(operands[2]),MODE_INT,0),reg1,
	QImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(QImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtQI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashlhi3"
[(set (match_operand:HI 0 "nonimmediate_operand" "")
  (ashift:HI
    (match_operand:HI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=16)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(HImode);
rtx reg2=simplify_gen_subreg(mode_for_size(16-INTVAL(operands[2]),MODE_INT,0),operands[1],
     HImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(16-INTVAL(operands[2]),MODE_INT,0),reg1,
	HImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(HImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftHI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrhi3"
[(set (match_operand:HI 0 "nonimmediate_operand" "")
  (ashiftrt:HI
    (match_operand:HI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(HImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtHI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrhi3"
[(set (match_operand:HI 0 "nonimmediate_operand" "")
  (lshiftrt:HI
    (match_operand:HI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=16)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(HImode);
rtx reg2=simplify_gen_subreg(mode_for_size(16-INTVAL(operands[2]),MODE_INT,0),operands[1],
     HImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(16-INTVAL(operands[2]),MODE_INT,0),reg1,
	HImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(HImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtHI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashlsi3"
[(set (match_operand:SI 0 "nonimmediate_operand" "")
  (ashift:SI
    (match_operand:SI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=32)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(SImode);
rtx reg2=simplify_gen_subreg(mode_for_size(32-INTVAL(operands[2]),MODE_INT,0),operands[1],
     SImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(32-INTVAL(operands[2]),MODE_INT,0),reg1,
	SImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(SImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftSI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrsi3"
[(set (match_operand:SI 0 "nonimmediate_operand" "")
  (ashiftrt:SI
    (match_operand:SI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(SImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtSI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrsi3"
[(set (match_operand:SI 0 "nonimmediate_operand" "")
  (lshiftrt:SI
    (match_operand:SI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=32)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(SImode);
rtx reg2=simplify_gen_subreg(mode_for_size(32-INTVAL(operands[2]),MODE_INT,0),operands[1],
     SImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(32-INTVAL(operands[2]),MODE_INT,0),reg1,
	SImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(SImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtSI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashldi3"
[(set (match_operand:DI 0 "nonimmediate_operand" "")
  (ashift:DI
    (match_operand:DI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=64)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(DImode);
rtx reg2=simplify_gen_subreg(mode_for_size(64-INTVAL(operands[2]),MODE_INT,0),operands[1],
     DImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(64-INTVAL(operands[2]),MODE_INT,0),reg1,
	DImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(DImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftDI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrdi3"
[(set (match_operand:DI 0 "nonimmediate_operand" "")
  (ashiftrt:DI
    (match_operand:DI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(DImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtDI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrdi3"
[(set (match_operand:DI 0 "nonimmediate_operand" "")
  (lshiftrt:DI
    (match_operand:DI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=64)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(DImode);
rtx reg2=simplify_gen_subreg(mode_for_size(64-INTVAL(operands[2]),MODE_INT,0),operands[1],
     DImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(64-INTVAL(operands[2]),MODE_INT,0),reg1,
	DImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(DImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtDI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashlai3"
[(set (match_operand:AI 0 "nonimmediate_operand" "")
  (ashift:AI
    (match_operand:AI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=24)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(AImode);
rtx reg2=simplify_gen_subreg(mode_for_size(24-INTVAL(operands[2]),MODE_INT,0),operands[1],
     AImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(24-INTVAL(operands[2]),MODE_INT,0),reg1,
	AImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(AImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftAI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrai3"
[(set (match_operand:AI 0 "nonimmediate_operand" "")
  (ashiftrt:AI
    (match_operand:AI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(AImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtAI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrai3"
[(set (match_operand:AI 0 "nonimmediate_operand" "")
  (lshiftrt:AI
    (match_operand:AI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=24)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(AImode);
rtx reg2=simplify_gen_subreg(mode_for_size(24-INTVAL(operands[2]),MODE_INT,0),operands[1],
     AImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(24-INTVAL(operands[2]),MODE_INT,0),reg1,
	AImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(AImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtAI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashlfi3"
[(set (match_operand:FI 0 "nonimmediate_operand" "")
  (ashift:FI
    (match_operand:FI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=40)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(FImode);
rtx reg2=simplify_gen_subreg(mode_for_size(40-INTVAL(operands[2]),MODE_INT,0),operands[1],
     FImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(40-INTVAL(operands[2]),MODE_INT,0),reg1,
	FImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(FImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftFI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrfi3"
[(set (match_operand:FI 0 "nonimmediate_operand" "")
  (ashiftrt:FI
    (match_operand:FI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(FImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtFI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrfi3"
[(set (match_operand:FI 0 "nonimmediate_operand" "")
  (lshiftrt:FI
    (match_operand:FI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=40)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(FImode);
rtx reg2=simplify_gen_subreg(mode_for_size(40-INTVAL(operands[2]),MODE_INT,0),operands[1],
     FImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(40-INTVAL(operands[2]),MODE_INT,0),reg1,
	FImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(FImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtFI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashlci3"
[(set (match_operand:CI 0 "nonimmediate_operand" "")
  (ashift:CI
    (match_operand:CI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=48)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(CImode);
rtx reg2=simplify_gen_subreg(mode_for_size(48-INTVAL(operands[2]),MODE_INT,0),operands[1],
     CImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(48-INTVAL(operands[2]),MODE_INT,0),reg1,
	CImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(CImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftCI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrci3"
[(set (match_operand:CI 0 "nonimmediate_operand" "")
  (ashiftrt:CI
    (match_operand:CI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(CImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtCI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrci3"
[(set (match_operand:CI 0 "nonimmediate_operand" "")
  (lshiftrt:CI
    (match_operand:CI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=48)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(CImode);
rtx reg2=simplify_gen_subreg(mode_for_size(48-INTVAL(operands[2]),MODE_INT,0),operands[1],
     CImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(48-INTVAL(operands[2]),MODE_INT,0),reg1,
	CImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(CImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtCI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashlei3"
[(set (match_operand:EI 0 "nonimmediate_operand" "")
  (ashift:EI
    (match_operand:EI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=56)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(EImode);
rtx reg2=simplify_gen_subreg(mode_for_size(56-INTVAL(operands[2]),MODE_INT,0),operands[1],
     EImode,INTVAL(operands[2])/8);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(56-INTVAL(operands[2]),MODE_INT,0),reg1,
	EImode,0),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(EImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftEI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "ashrei3"
[(set (match_operand:EI 0 "nonimmediate_operand" "")
  (ashiftrt:EI
    (match_operand:EI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(EImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_ashiftrtEI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_expand "lshrei3"
[(set (match_operand:EI 0 "nonimmediate_operand" "")
  (lshiftrt:EI
    (match_operand:EI 1 "general_operand" "")
    (match_operand:QI 2 "general_operand" "")
))]
""
{
/* negative shift are nops ?? */
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])<=0)
{
emit_move_insn(operands[0],operands[1]);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&INTVAL(operands[2])>=56)
{
emit_move_insn(operands[0],const0_rtx);
DONE;
}
if(GET_CODE(operands[2])==CONST_INT&&0==(INTVAL(operands[2])%8))
{
rtx reg1=gen_reg_rtx(EImode);
rtx reg2=simplify_gen_subreg(mode_for_size(56-INTVAL(operands[2]),MODE_INT,0),operands[1],
     EImode,0);
emit_move_insn(reg1,const0_rtx);
emit_move_insn(simplify_gen_subreg(mode_for_size(56-INTVAL(operands[2]),MODE_INT,0),reg1,
	EImode,INTVAL(operands[2])/8),reg2);
emit_move_insn(operands[0],reg1);
DONE;
}
{
rtx lab1=gen_label_rtx(),lab2=gen_label_rtx();
rtx reg1=gen_reg_rtx(EImode),reg2=gen_reg_rtx(QImode);
emit_move_insn(reg1,operands[1]);
emit_move_insn(reg2,operands[2]);
emit_label(lab2);
emit_cmp_and_jump_insns(reg2,const0_rtx,LE,NULL_RTX,QImode,0,lab1);
emit_insn(gen_subqi3(reg2,reg2,const1_rtx));
emit_insn(gen_lshiftrtEI(reg1,reg1));
emit_jump_insn(gen_jump(lab2));
emit_barrier();
emit_label(lab1);
emit_move_insn(operands[0],reg1);
if(in_optimizing())FAIL;
}
DONE;
}
)
(define_insn_and_split "ashiftHI" 
[
(set (match_operand:HI 0 "register_operand" "=r")
	(ashift:HI 	(match_operand:HI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,1,HImode),genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,HImode),genSUBREG(operands[1],QImode,0,HImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtHI" 
[
(set (match_operand:HI 0 "register_operand" "=r")
	(ashiftrt:HI 	(match_operand:HI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,HImode),genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,HImode),genSUBREG(operands[1],QImode,1,HImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtHI" 
[
(set (match_operand:HI 0 "register_operand" "=r")
	(lshiftrt:HI 	(match_operand:HI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,HImode),genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,HImode),genSUBREG(operands[1],QImode,1,HImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftSI" 
[
(set (match_operand:SI 0 "register_operand" "=r")
	(ashift:SI 	(match_operand:SI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,3,SImode),genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,2,SImode),genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,1,SImode),genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,SImode),genSUBREG(operands[1],QImode,0,SImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtSI" 
[
(set (match_operand:SI 0 "register_operand" "=r")
	(ashiftrt:SI 	(match_operand:SI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,SImode),genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,SImode),genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,SImode),genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,SImode),genSUBREG(operands[1],QImode,3,SImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtSI" 
[
(set (match_operand:SI 0 "register_operand" "=r")
	(lshiftrt:SI 	(match_operand:SI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,SImode),genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,SImode),genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,SImode),genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,SImode),genSUBREG(operands[1],QImode,3,SImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftDI" 
[
(set (match_operand:DI 0 "register_operand" "=r")
	(ashift:DI 	(match_operand:DI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,7,DImode),genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,6,DImode),genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,5,DImode),genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,4,DImode),genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,3,DImode),genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,2,DImode),genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,1,DImode),genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,DImode),genSUBREG(operands[1],QImode,0,DImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtDI" 
[
(set (match_operand:DI 0 "register_operand" "=r")
	(ashiftrt:DI 	(match_operand:DI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,DImode),genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,DImode),genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,DImode),genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,DImode),genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,DImode),genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,5,DImode),genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,6,DImode),genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,7,DImode),genSUBREG(operands[1],QImode,7,DImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtDI" 
[
(set (match_operand:DI 0 "register_operand" "=r")
	(lshiftrt:DI 	(match_operand:DI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,DImode),genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,DImode),genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,DImode),genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,DImode),genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,DImode),genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,5,DImode),genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,6,DImode),genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,7,DImode),genSUBREG(operands[1],QImode,7,DImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftAI" 
[
(set (match_operand:AI 0 "register_operand" "=r")
	(ashift:AI 	(match_operand:AI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,2,AImode),genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,1,AImode),genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,AImode),genSUBREG(operands[1],QImode,0,AImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtAI" 
[
(set (match_operand:AI 0 "register_operand" "=r")
	(ashiftrt:AI 	(match_operand:AI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,AImode),genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,AImode),genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,AImode),genSUBREG(operands[1],QImode,2,AImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtAI" 
[
(set (match_operand:AI 0 "register_operand" "=r")
	(lshiftrt:AI 	(match_operand:AI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,AImode),genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,AImode),genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,AImode),genSUBREG(operands[1],QImode,2,AImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftFI" 
[
(set (match_operand:FI 0 "register_operand" "=r")
	(ashift:FI 	(match_operand:FI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,4,FImode),genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,3,FImode),genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,2,FImode),genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,1,FImode),genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,FImode),genSUBREG(operands[1],QImode,0,FImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtFI" 
[
(set (match_operand:FI 0 "register_operand" "=r")
	(ashiftrt:FI 	(match_operand:FI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,FImode),genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,FImode),genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,FImode),genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,FImode),genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,FImode),genSUBREG(operands[1],QImode,4,FImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtFI" 
[
(set (match_operand:FI 0 "register_operand" "=r")
	(lshiftrt:FI 	(match_operand:FI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,FImode),genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,FImode),genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,FImode),genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,FImode),genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,FImode),genSUBREG(operands[1],QImode,4,FImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftCI" 
[
(set (match_operand:CI 0 "register_operand" "=r")
	(ashift:CI 	(match_operand:CI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,5,CImode),genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,4,CImode),genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,3,CImode),genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,2,CImode),genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,1,CImode),genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,CImode),genSUBREG(operands[1],QImode,0,CImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtCI" 
[
(set (match_operand:CI 0 "register_operand" "=r")
	(ashiftrt:CI 	(match_operand:CI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,CImode),genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,CImode),genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,CImode),genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,CImode),genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,CImode),genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,5,CImode),genSUBREG(operands[1],QImode,5,CImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtCI" 
[
(set (match_operand:CI 0 "register_operand" "=r")
	(lshiftrt:CI 	(match_operand:CI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,CImode),genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,CImode),genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,CImode),genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,CImode),genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,CImode),genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,5,CImode),genSUBREG(operands[1],QImode,5,CImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftEI" 
[
(set (match_operand:EI 0 "register_operand" "=r")
	(ashift:EI 	(match_operand:EI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftQI(genSUBREG(operands[0],QImode,6,EImode),genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,5,EImode),genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,4,EImode),genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,3,EImode),genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,2,EImode),genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,1,EImode),genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(gen_rotateQI(genSUBREG(operands[0],QImode,0,EImode),genSUBREG(operands[1],QImode,0,EImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "ashiftrtEI" 
[
(set (match_operand:EI 0 "register_operand" "=r")
	(ashiftrt:EI 	(match_operand:EI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_ashiftrtQI(genSUBREG(operands[0],QImode,0,EImode),genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,EImode),genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,EImode),genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,EImode),genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,EImode),genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,5,EImode),genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,6,EImode),genSUBREG(operands[1],QImode,6,EImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "lshiftrtEI" 
[
(set (match_operand:EI 0 "register_operand" "=r")
	(lshiftrt:EI 	(match_operand:EI 1 "register_operand" "0")
			(const_int 1)))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_lshiftrtQI(genSUBREG(operands[0],QImode,0,EImode),genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,1,EImode),genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,2,EImode),genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,3,EImode),genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,4,EImode),genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,5,EImode),genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(gen_rotatertQI(genSUBREG(operands[0],QImode,6,EImode),genSUBREG(operands[1],QImode,6,EImode)));
DONE;
}
[(set_attr "cc" "clobber")])
(define_insn "ashiftQI"
[(set (match_operand:QI 0 "register_operand" "=r")
	(ashift:QI 	(match_operand:QI 1 "register_operand" "0")
			(const_int 1)))]
""
"asl %0"
[(set_attr "cc" "set_czn")])
(define_insn "ashiftrtQI"
[(set (match_operand:QI 0 "register_operand" "=r")
	(ashiftrt:QI 	(match_operand:QI 1 "register_operand" "0")
			(const_int 1)))]
""
"asr %0"
[(set_attr "cc" "set_czn")])
(define_insn "lshiftrtQI"
[(set (match_operand:QI 0 "register_operand" "=r")
	(lshiftrt:QI 	(match_operand:QI 1 "register_operand" "0")
			(const_int 1)))]
""
"lsr %0"
[(set_attr "cc" "set_czn")])
(define_insn "rotatertQI"
[(set (match_operand:QI 0 "register_operand" "=r")
	(rotatert:QI 	(match_operand:QI 1 "register_operand" "0")
			(const_int 1)))]
""
"ror %0"
[(set_attr "cc" "set_czn")])
(define_insn "rotateQI"
[(set (match_operand:QI 0 "register_operand" "=r")
	(rotate:QI 	(match_operand:QI 1 "register_operand" "0")
			(const_int 1)))]
""
"rol %0"
[(set_attr "cc" "set_czn")])
(define_insn "ADD"
[(set (reg:QI REG_A)
     (plus:QI (reg:QI REG_A)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i")))]
""
"@
add %0
add %%X,(%o0)
add %%X,(%o0+SPBASE)
add $%0"
[(set_attr "cc" "set_czn")])

(define_insn "SUB"
[(set (reg:QI REG_A)
     (minus:QI (reg:QI REG_A)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i")))]
""
"@
sub %0
sub %%X,(%o0)
sub %%X,(%o0+SPBASE)
sub $%0"
[(set_attr "cc" "set_czn")])

(define_insn "EOR"
[(set (reg:QI REG_A)
     (xor:QI (reg:QI REG_A)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i")))]
""
"@
eor %0
eor %%X,(%o0)
eor %%X,(%o0+SPBASE)
eor $%0"
[(set_attr "cc" "set_czn")])

(define_insn "ORA"
[(set (reg:QI REG_A)
     (ior:QI (reg:QI REG_A)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i")))]
""
"@
ora %0
ora %%X,(%o0)
ora %%X,(%o0+SPBASE)
ora $%0"
[(set_attr "cc" "set_czn")])

(define_insn "AND"
[(set (reg:QI REG_A)
     (and:QI (reg:QI REG_A)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i")))]
""
"@
and %0
and %%X,(%o0)
and %%X,(%o0+SPBASE)
and $%0"
[(set_attr "cc" "set_czn")])

(define_insn "ADC"
[(set (reg:QI REG_A)
     (plus:QI (reg:QI REG_A)
        (plus:QI (unspec [(cc0)] 0)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i"))))]
""
"@
adc %0
adc %%X,(%o0)
adc %%X,(%o0+SPBASE)
adc $%0"
[(set_attr "cc" "set_czn")])

(define_insn "SBC"
[(set (reg:QI REG_A)
     (minus:QI (reg:QI REG_A)
        (minus:QI (unspec [(cc0)] 0)
                (match_operand:QI 0 "regmemimmst_operand" "rB,D,Y,i"))))]
""
"@
sbc %0
sbc %%X,(%o0)
sbc %%X,(%o0+SPBASE)
sbc $%0"
[(set_attr "cc" "set_czn")])

(define_insn_and_split "*movQI" 
[(set (match_operand:QI 0 "regmemptne_operand"     "=rRBUw,rATQw,U,Q")
        (match_operand:QI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}else{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movHI" 
[(set (match_operand:HI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:HI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
}else{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movSI" 
[(set (match_operand:SI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:SI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
}else{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movDI" 
[(set (match_operand:DI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:DI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
}else{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movAI" 
[(set (match_operand:AI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:AI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
}else{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movFI" 
[(set (match_operand:FI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:FI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
}else{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movCI" 
[(set (match_operand:CI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:CI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
}else{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movEI" 
[(set (match_operand:EI 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:EI 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
}else{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movSF" 
[(set (match_operand:SF 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:SF 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SFmode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SFmode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SFmode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SFmode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SFmode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SFmode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SFmode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SFmode)));
emit_insn(genXClobber(operands[0],QImode,3));
}else{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SFmode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SFmode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SFmode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SFmode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SFmode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SFmode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SFmode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SFmode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "*movDF" 
[(set (match_operand:DF 0 "regmemptne_operand"     "=rRBUw,&rATQw,U,Q")
        (match_operand:DF 1 "regmemimmpt_operand" "rRBUiw,rATQiw,Q,U"))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[1])||is_regx_rtx(operands[0])||is_regx_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
if(REG_P(operands[0])&&REG_P(operands[1])&&REGNO(operands[0])<REGNO(operands[1])){
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DFmode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DFmode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DFmode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DFmode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DFmode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DFmode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DFmode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DFmode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DFmode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DFmode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DFmode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DFmode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DFmode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DFmode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DFmode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DFmode)));
emit_insn(genXClobber(operands[0],QImode,7));
}else{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DFmode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DFmode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DFmode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DFmode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DFmode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DFmode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DFmode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DFmode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DFmode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DFmode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DFmode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DFmode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DFmode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DFmode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DFmode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DFmode)));
emit_insn(genXClobber(operands[0],QImode,0));
}
DONE;
}
[(set_attr "cc" "set_zn")])
(define_expand "movqi" 
[(set (match_operand:QI 0 "nonimmediate_operand"     "=")
        (match_operand:QI 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,QImode))
   {
   rtx tmp=gen_reg_rtx(QImode);
   emit_insn(gen_movqi(tmp,operands[1]));
   emit_insn(gen_eestoreQI(operands[0],tmp));
   DONE;
   }
})
(define_expand "movsi" 
[(set (match_operand:SI 0 "nonimmediate_operand"     "=")
        (match_operand:SI 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,SImode))
   {
   rtx tmp=gen_reg_rtx(SImode);
   emit_insn(gen_movsi(tmp,operands[1]));
   emit_insn(gen_eestoreSI(operands[0],tmp));
   DONE;
   }
})
(define_expand "movai" 
[(set (match_operand:AI 0 "nonimmediate_operand"     "=")
        (match_operand:AI 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,AImode))
   {
   rtx tmp=gen_reg_rtx(AImode);
   emit_insn(gen_movai(tmp,operands[1]));
   emit_insn(gen_eestoreAI(operands[0],tmp));
   DONE;
   }
})
(define_expand "movfi" 
[(set (match_operand:FI 0 "nonimmediate_operand"     "=")
        (match_operand:FI 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,FImode))
   {
   rtx tmp=gen_reg_rtx(FImode);
   emit_insn(gen_movfi(tmp,operands[1]));
   emit_insn(gen_eestoreFI(operands[0],tmp));
   DONE;
   }
})
(define_expand "movci" 
[(set (match_operand:CI 0 "nonimmediate_operand"     "=")
        (match_operand:CI 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,CImode))
   {
   rtx tmp=gen_reg_rtx(CImode);
   emit_insn(gen_movci(tmp,operands[1]));
   emit_insn(gen_eestoreCI(operands[0],tmp));
   DONE;
   }
})
(define_expand "movei" 
[(set (match_operand:EI 0 "nonimmediate_operand"     "=")
        (match_operand:EI 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,EImode))
   {
   rtx tmp=gen_reg_rtx(EImode);
   emit_insn(gen_movei(tmp,operands[1]));
   emit_insn(gen_eestoreEI(operands[0],tmp));
   DONE;
   }
})
(define_expand "movsf" 
[(set (match_operand:SF 0 "nonimmediate_operand"     "=")
        (match_operand:SF 1 "general_operand" ""))]
"!is_lowlevel()"
{
 if(eeprom_operand(operand0,SFmode))
   {
   rtx tmp=gen_reg_rtx(SFmode);
   emit_insn(gen_movsf(tmp,operands[1]));
   emit_insn(gen_eestoreSF(operands[0],tmp));
   DONE;
   }
})
(define_expand "eestoreQI"
[(parallel [
     (set (match_operand:QI 0 "eeprom_operand" "")
          (match_operand:QI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_QI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],QImode);
DONE;
})
(define_expand "eestoreHI"
[(parallel [
     (set (match_operand:HI 0 "eeprom_operand" "")
          (match_operand:HI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_HI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],HImode);
DONE;
})
(define_expand "eestoreSI"
[(parallel [
     (set (match_operand:SI 0 "eeprom_operand" "")
          (match_operand:SI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_SI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],SImode);
DONE;
})
(define_expand "eestoreDI"
[(parallel [
     (set (match_operand:DI 0 "eeprom_operand" "")
          (match_operand:DI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_DI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],DImode);
DONE;
})
(define_expand "eestoreAI"
[(parallel [
     (set (match_operand:AI 0 "eeprom_operand" "")
          (match_operand:AI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_AI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],AImode);
DONE;
})
(define_expand "eestoreFI"
[(parallel [
     (set (match_operand:FI 0 "eeprom_operand" "")
          (match_operand:FI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_FI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],FImode);
DONE;
})
(define_expand "eestoreCI"
[(parallel [
     (set (match_operand:CI 0 "eeprom_operand" "")
          (match_operand:CI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_CI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],CImode);
DONE;
})
(define_expand "eestoreEI"
[(parallel [
     (set (match_operand:EI 0 "eeprom_operand" "")
          (match_operand:EI 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_EI"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],EImode);
DONE;
})
(define_expand "eestoreSF"
[(parallel [
     (set (match_operand:SF 0 "eeprom_operand" "")
          (match_operand:SF 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_SF"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],SFmode);
DONE;
})
(define_expand "eestoreDF"
[(parallel [
     (set (match_operand:DF 0 "eeprom_operand" "")
          (match_operand:DF 1 "regmem_operand" ""))
     (unspec [(match_dup 0) (match_dup 1)] 3)])]
""
{
emit_library_call(init_one_libfunc("eestore_DF"),LCT_NORMAL,VOIDmode,2,XEXP(operands[0],0),Pmode,operands[1],DFmode);
DONE;
})
(define_insn_and_split "addqi3" 
[(set (match_operand:QI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:QI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:QI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,0,QImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subqi3" 
[(set (match_operand:QI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:QI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:QI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,0,QImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "addhi3" 
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:HI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:HI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,1,HImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,HImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subhi3" 
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:HI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:HI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,1,HImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,HImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "addsi3" 
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:SI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:SI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,3,SImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,2,SImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,1,SImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,SImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subsi3" 
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:SI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:SI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,3,SImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,2,SImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,1,SImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,SImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "adddi3" 
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:DI
    (match_operand:DI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:DI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[2],QImode,7));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,7,DImode)));
emit_insn(genXClobber(operands[2],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,6,DImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,5,DImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,4,DImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,3,DImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,2,DImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,1,DImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,DImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subdi3" 
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:DI
    (match_operand:DI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:DI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[2],QImode,7));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,7,DImode)));
emit_insn(genXClobber(operands[2],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,6,DImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,5,DImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,4,DImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,3,DImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,2,DImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,1,DImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,DImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "addai3" 
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:AI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:AI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,2,AImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,1,AImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,AImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subai3" 
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:AI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:AI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,2,AImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,1,AImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,AImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "addfi3" 
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:FI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:FI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,4,FImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,3,FImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,2,FImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,1,FImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,FImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subfi3" 
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:FI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:FI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,4,FImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,3,FImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,2,FImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,1,FImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,FImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "addci3" 
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:CI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:CI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,5,CImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,4,CImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,3,CImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,2,CImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,1,CImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,CImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subci3" 
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:CI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:CI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,5,CImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,4,CImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,3,CImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,2,CImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,1,CImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,CImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "addei3" 
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (plus:EI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:EI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_ADD(genSUBREG(operands[2],QImode,6,EImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,5,EImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,4,EImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,3,EImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,2,EImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,1,EImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ADC(genSUBREG(operands[2],QImode,0,EImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "subei3" 
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (minus:EI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:EI 2 "regmemimmst_operand" "rRBCUi,rRBCUi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)
]
{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_SUB(genSUBREG(operands[2],QImode,6,EImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,5,EImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,4,EImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,3,EImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,2,EImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,1,EImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_SBC(genSUBREG(operands[2],QImode,0,EImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "xorqi3" 
[(set (match_operand:QI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:QI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:QI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,QImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorqi3" 
[(set (match_operand:QI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:QI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:QI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,QImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andqi3" 
[(set (match_operand:QI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:QI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:QI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,QImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,QImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xorhi3" 
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:HI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:HI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,HImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,HImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorhi3" 
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:HI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:HI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,HImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,HImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andhi3" 
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:HI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:HI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,HImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,HImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xorsi3" 
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:SI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:SI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,3,SImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,2,SImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,SImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,SImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorsi3" 
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:SI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:SI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,3,SImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,2,SImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,SImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,SImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andsi3" 
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:SI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:SI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,3,SImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,2,SImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,SImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,SImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xordi3" 
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:DI
    (match_operand:DI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:DI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[2],QImode,7));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,7,DImode)));
emit_insn(genXClobber(operands[2],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,6,DImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,5,DImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,4,DImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,3,DImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,2,DImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,DImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,DImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iordi3" 
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:DI
    (match_operand:DI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:DI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[2],QImode,7));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,7,DImode)));
emit_insn(genXClobber(operands[2],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,6,DImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,5,DImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,4,DImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,3,DImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,2,DImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,DImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,DImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "anddi3" 
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:DI
    (match_operand:DI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:DI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,7));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(genXClobber(operands[1],QImode,7));
emit_insn(genXLoad(operands[2],QImode,7));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,7,DImode)));
emit_insn(genXClobber(operands[2],QImode,7));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,6,DImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,5,DImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,4,DImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,3,DImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,2,DImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,DImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,DImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xorai3" 
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:AI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:AI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,2,AImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,AImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,AImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorai3" 
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:AI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:AI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,2,AImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,AImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,AImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andai3" 
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:AI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:AI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,2,AImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,AImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,AImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xorfi3" 
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:FI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:FI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,4,FImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,3,FImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,2,FImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,FImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,FImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorfi3" 
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:FI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:FI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,4,FImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,3,FImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,2,FImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,FImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,FImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andfi3" 
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:FI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:FI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,4,FImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,3,FImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,2,FImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,FImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,FImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xorci3" 
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:CI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:CI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,5,CImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,4,CImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,3,CImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,2,CImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,CImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,CImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorci3" 
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:CI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:CI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,5,CImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,4,CImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,3,CImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,2,CImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,CImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,CImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andci3" 
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:CI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:CI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,5,CImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,4,CImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,3,CImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,2,CImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,CImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,CImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "xorei3" 
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (xor:EI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:EI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,6,EImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,5,EImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,4,EImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,3,EImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,2,EImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,1,EImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_EOR(genSUBREG(operands[2],QImode,0,EImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "iorei3" 
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (ior:EI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:EI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,6,EImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,5,EImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,4,EImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,3,EImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,2,EImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,1,EImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_ORA(genSUBREG(operands[2],QImode,0,EImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "andei3" 
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ,&rRBCU,&rRBCU")
  (and:EI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi,0,rATQI")
    (match_operand:EI 2 "regmemimmst_operand" "rRBUCi,rRBUCi,0")
))]
"!is_lowlevel()"
"error"
"!(is_rega_rtx(operands[0])||is_rega_rtx(operands[2])||is_rega_rtx(operands[1]))&&is_lowlevel()"
[(const_int 0)]
{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[2],QImode,6));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,6,EImode)));
emit_insn(genXClobber(operands[2],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[2],QImode,5));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,5,EImode)));
emit_insn(genXClobber(operands[2],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[2],QImode,4));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,4,EImode)));
emit_insn(genXClobber(operands[2],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[2],QImode,3));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,3,EImode)));
emit_insn(genXClobber(operands[2],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[2],QImode,2));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,2,EImode)));
emit_insn(genXClobber(operands[2],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[2],QImode,1));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,1,EImode)));
emit_insn(genXClobber(operands[2],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[2],QImode,0));
emit_insn(gen_AND(genSUBREG(operands[2],QImode,0,EImode)));
emit_insn(genXClobber(operands[2],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "neghi2"
[(set (match_operand:HI 0 "register_operand" "=r")
	(neg:HI (match_operand:HI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,1,HImode),genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "negsi2"
[(set (match_operand:SI 0 "register_operand" "=r")
	(neg:SI (match_operand:SI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,3,SImode),genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "negdi2"
[(set (match_operand:DI 0 "register_operand" "=r")
	(neg:DI (match_operand:DI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,7,DImode),genSUBREG(operands[1],QImode,7,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,6,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,5,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,4,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,3,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,2,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,1,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,DImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "negai2"
[(set (match_operand:AI 0 "register_operand" "=r")
	(neg:AI (match_operand:AI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,2,AImode),genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "negfi2"
[(set (match_operand:FI 0 "register_operand" "=r")
	(neg:FI (match_operand:FI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,4,FImode),genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "negci2"
[(set (match_operand:CI 0 "register_operand" "=r")
	(neg:CI (match_operand:CI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,5,CImode),genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "negei2"
[(set (match_operand:EI 0 "register_operand" "=r")
	(neg:EI (match_operand:EI 1 "register_operand" "0")))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[(const_int 0)
]
{
emit_insn(gen_negqi2(genSUBREG(operands[0],QImode,6,EImode),genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(gen_LDA(const0_rtx));
emit_insn(gen_SBC(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
}
[(set_attr "cc" "set_czn")])
(define_insn_and_split "zero_extendqihi2"
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:HI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendqisi2"
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:SI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendqidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendqiai2"
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:AI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendqifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:FI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendqici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:CI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendqiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:EI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendhisi2"
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:SI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendhidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendhiai2"
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:AI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendhifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:FI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendhici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:CI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendhiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:EI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendsidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendsifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:FI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendsici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:CI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendsiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:EI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendaisi2"
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:SI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendaidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendaifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:FI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendaici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:CI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendaiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:EI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendfidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendfici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:CI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendfiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:EI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendcidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendciei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:EI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "zero_extendeidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (zero_extend:DI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(const_int 0)]
{
emit_insn(gen_LDA(const0_rtx));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,0,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,0));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,0));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
DONE;
}
[(set_attr "cc" "set_zn")])
(define_insn_and_split "extendqihi2"
[(set (match_operand:HI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:HI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 11)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 12)))
(match_dup 11)
(set (reg:QI REG_A) (const_int -1))
(match_dup 12)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,HImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,HImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,HImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[8+0+3*0]=genXLoad(operands[1],QImode,0);
operands[8+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[8+2+3*0]=genXClobber(operands[1],QImode,0);
operands[11+0]=gen_label_rtx();
operands[11+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendqisi2"
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:SI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 17)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 18)))
(match_dup 17)
(set (reg:QI REG_A) (const_int -1))
(match_dup 18)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,SImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,SImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,SImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,SImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[14+0+3*0]=genXLoad(operands[1],QImode,0);
operands[14+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[14+2+3*0]=genXClobber(operands[1],QImode,0);
operands[17+0]=gen_label_rtx();
operands[17+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendqidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 29)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 30)))
(match_dup 29)
(set (reg:QI REG_A) (const_int -1))
(match_dup 30)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
(match_dup 14)
(set (match_dup 15) (reg:QI REG_A))
(match_dup 16)
(match_dup 17)
(set (match_dup 18) (reg:QI REG_A))
(match_dup 19)
(match_dup 20)
(set (match_dup 21) (reg:QI REG_A))
(match_dup 22)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[29+0]=gen_label_rtx();
operands[29+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendqiai2"
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:AI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 14)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 15)))
(match_dup 14)
(set (reg:QI REG_A) (const_int -1))
(match_dup 15)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,AImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,AImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,AImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[11+0+3*0]=genXLoad(operands[1],QImode,0);
operands[11+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[11+2+3*0]=genXClobber(operands[1],QImode,0);
operands[14+0]=gen_label_rtx();
operands[14+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendqifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:FI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 20)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 21)))
(match_dup 20)
(set (reg:QI REG_A) (const_int -1))
(match_dup 21)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,FImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,FImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,FImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,FImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,FImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[17+0+3*0]=genXLoad(operands[1],QImode,0);
operands[17+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[17+2+3*0]=genXClobber(operands[1],QImode,0);
operands[20+0]=gen_label_rtx();
operands[20+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendqici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:CI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 23)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 24)))
(match_dup 23)
(set (reg:QI REG_A) (const_int -1))
(match_dup 24)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
(match_dup 14)
(set (match_dup 15) (reg:QI REG_A))
(match_dup 16)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,CImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,CImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,CImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,CImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,CImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,CImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[20+0+3*0]=genXLoad(operands[1],QImode,0);
operands[20+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[20+2+3*0]=genXClobber(operands[1],QImode,0);
operands[23+0]=gen_label_rtx();
operands[23+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendqiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:EI
    (match_operand:QI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 26)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 27)))
(match_dup 26)
(set (reg:QI REG_A) (const_int -1))
(match_dup 27)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
(match_dup 14)
(set (match_dup 15) (reg:QI REG_A))
(match_dup 16)
(match_dup 17)
(set (match_dup 18) (reg:QI REG_A))
(match_dup 19)
]
{
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,QImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,EImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,EImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,EImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,EImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,EImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,EImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,EImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[23+0+3*0]=genXLoad(operands[1],QImode,0);
operands[23+1+3*0]=genSUBREG(operands[1],QImode,0,QImode);
operands[23+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0]=gen_label_rtx();
operands[26+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendhisi2"
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:SI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 20)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 21)))
(match_dup 20)
(set (reg:QI REG_A) (const_int -1))
(match_dup 21)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,SImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,SImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,SImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,SImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[14+0+3*0]=genXLoad(operands[1],QImode,0);
operands[14+1+3*0]=genSUBREG(operands[1],QImode,0,HImode);
operands[14+2+3*0]=genXClobber(operands[1],QImode,0);
operands[14+0+3*1]=genXLoad(operands[1],QImode,1);
operands[14+1+3*1]=genSUBREG(operands[1],QImode,1,HImode);
operands[14+2+3*1]=genXClobber(operands[1],QImode,1);
operands[20+0]=gen_label_rtx();
operands[20+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendhidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 32)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 33)))
(match_dup 32)
(set (reg:QI REG_A) (const_int -1))
(match_dup 33)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
(match_dup 14)
(set (match_dup 15) (reg:QI REG_A))
(match_dup 16)
(match_dup 17)
(set (match_dup 18) (reg:QI REG_A))
(match_dup 19)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,HImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0+3*1]=genXLoad(operands[1],QImode,1);
operands[26+1+3*1]=genSUBREG(operands[1],QImode,1,HImode);
operands[26+2+3*1]=genXClobber(operands[1],QImode,1);
operands[32+0]=gen_label_rtx();
operands[32+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendhiai2"
[(set (match_operand:AI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:AI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 17)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 18)))
(match_dup 17)
(set (reg:QI REG_A) (const_int -1))
(match_dup 18)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,AImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,AImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,AImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,AImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,AImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[11+0+3*0]=genXLoad(operands[1],QImode,0);
operands[11+1+3*0]=genSUBREG(operands[1],QImode,0,HImode);
operands[11+2+3*0]=genXClobber(operands[1],QImode,0);
operands[11+0+3*1]=genXLoad(operands[1],QImode,1);
operands[11+1+3*1]=genSUBREG(operands[1],QImode,1,HImode);
operands[11+2+3*1]=genXClobber(operands[1],QImode,1);
operands[17+0]=gen_label_rtx();
operands[17+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendhifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:FI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 23)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 24)))
(match_dup 23)
(set (reg:QI REG_A) (const_int -1))
(match_dup 24)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,FImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,FImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,FImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,FImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,FImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[17+0+3*0]=genXLoad(operands[1],QImode,0);
operands[17+1+3*0]=genSUBREG(operands[1],QImode,0,HImode);
operands[17+2+3*0]=genXClobber(operands[1],QImode,0);
operands[17+0+3*1]=genXLoad(operands[1],QImode,1);
operands[17+1+3*1]=genSUBREG(operands[1],QImode,1,HImode);
operands[17+2+3*1]=genXClobber(operands[1],QImode,1);
operands[23+0]=gen_label_rtx();
operands[23+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendhici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:CI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 26)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 27)))
(match_dup 26)
(set (reg:QI REG_A) (const_int -1))
(match_dup 27)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,CImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,CImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,CImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,CImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,CImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,CImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[20+0+3*0]=genXLoad(operands[1],QImode,0);
operands[20+1+3*0]=genSUBREG(operands[1],QImode,0,HImode);
operands[20+2+3*0]=genXClobber(operands[1],QImode,0);
operands[20+0+3*1]=genXLoad(operands[1],QImode,1);
operands[20+1+3*1]=genSUBREG(operands[1],QImode,1,HImode);
operands[20+2+3*1]=genXClobber(operands[1],QImode,1);
operands[26+0]=gen_label_rtx();
operands[26+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendhiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:EI
    (match_operand:HI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 29)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 30)))
(match_dup 29)
(set (reg:QI REG_A) (const_int -1))
(match_dup 30)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
(match_dup 14)
(set (match_dup 15) (reg:QI REG_A))
(match_dup 16)
]
{
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,HImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,HImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,EImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,EImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,EImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,EImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,EImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,EImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,EImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[23+0+3*0]=genXLoad(operands[1],QImode,0);
operands[23+1+3*0]=genSUBREG(operands[1],QImode,0,HImode);
operands[23+2+3*0]=genXClobber(operands[1],QImode,0);
operands[23+0+3*1]=genXLoad(operands[1],QImode,1);
operands[23+1+3*1]=genSUBREG(operands[1],QImode,1,HImode);
operands[23+2+3*1]=genXClobber(operands[1],QImode,1);
operands[29+0]=gen_label_rtx();
operands[29+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendsidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 38)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 39)))
(match_dup 38)
(set (reg:QI REG_A) (const_int -1))
(match_dup 39)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,SImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0+3*1]=genXLoad(operands[1],QImode,1);
operands[26+1+3*1]=genSUBREG(operands[1],QImode,1,SImode);
operands[26+2+3*1]=genXClobber(operands[1],QImode,1);
operands[26+0+3*2]=genXLoad(operands[1],QImode,2);
operands[26+1+3*2]=genSUBREG(operands[1],QImode,2,SImode);
operands[26+2+3*2]=genXClobber(operands[1],QImode,2);
operands[26+0+3*3]=genXLoad(operands[1],QImode,3);
operands[26+1+3*3]=genSUBREG(operands[1],QImode,3,SImode);
operands[26+2+3*3]=genXClobber(operands[1],QImode,3);
operands[38+0]=gen_label_rtx();
operands[38+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendsifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:FI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 29)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 30)))
(match_dup 29)
(set (reg:QI REG_A) (const_int -1))
(match_dup 30)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,FImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,FImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,FImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,FImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,FImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,FImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[17+0+3*0]=genXLoad(operands[1],QImode,0);
operands[17+1+3*0]=genSUBREG(operands[1],QImode,0,SImode);
operands[17+2+3*0]=genXClobber(operands[1],QImode,0);
operands[17+0+3*1]=genXLoad(operands[1],QImode,1);
operands[17+1+3*1]=genSUBREG(operands[1],QImode,1,SImode);
operands[17+2+3*1]=genXClobber(operands[1],QImode,1);
operands[17+0+3*2]=genXLoad(operands[1],QImode,2);
operands[17+1+3*2]=genSUBREG(operands[1],QImode,2,SImode);
operands[17+2+3*2]=genXClobber(operands[1],QImode,2);
operands[17+0+3*3]=genXLoad(operands[1],QImode,3);
operands[17+1+3*3]=genSUBREG(operands[1],QImode,3,SImode);
operands[17+2+3*3]=genXClobber(operands[1],QImode,3);
operands[29+0]=gen_label_rtx();
operands[29+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendsici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:CI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 32)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 33)))
(match_dup 32)
(set (reg:QI REG_A) (const_int -1))
(match_dup 33)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,CImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,CImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,CImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,CImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,CImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,CImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[20+0+3*0]=genXLoad(operands[1],QImode,0);
operands[20+1+3*0]=genSUBREG(operands[1],QImode,0,SImode);
operands[20+2+3*0]=genXClobber(operands[1],QImode,0);
operands[20+0+3*1]=genXLoad(operands[1],QImode,1);
operands[20+1+3*1]=genSUBREG(operands[1],QImode,1,SImode);
operands[20+2+3*1]=genXClobber(operands[1],QImode,1);
operands[20+0+3*2]=genXLoad(operands[1],QImode,2);
operands[20+1+3*2]=genSUBREG(operands[1],QImode,2,SImode);
operands[20+2+3*2]=genXClobber(operands[1],QImode,2);
operands[20+0+3*3]=genXLoad(operands[1],QImode,3);
operands[20+1+3*3]=genSUBREG(operands[1],QImode,3,SImode);
operands[20+2+3*3]=genXClobber(operands[1],QImode,3);
operands[32+0]=gen_label_rtx();
operands[32+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendsiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:EI
    (match_operand:SI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 35)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 36)))
(match_dup 35)
(set (reg:QI REG_A) (const_int -1))
(match_dup 36)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
]
{
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,SImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,SImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,SImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,SImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,EImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,EImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,EImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,EImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,EImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,EImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,EImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[23+0+3*0]=genXLoad(operands[1],QImode,0);
operands[23+1+3*0]=genSUBREG(operands[1],QImode,0,SImode);
operands[23+2+3*0]=genXClobber(operands[1],QImode,0);
operands[23+0+3*1]=genXLoad(operands[1],QImode,1);
operands[23+1+3*1]=genSUBREG(operands[1],QImode,1,SImode);
operands[23+2+3*1]=genXClobber(operands[1],QImode,1);
operands[23+0+3*2]=genXLoad(operands[1],QImode,2);
operands[23+1+3*2]=genSUBREG(operands[1],QImode,2,SImode);
operands[23+2+3*2]=genXClobber(operands[1],QImode,2);
operands[23+0+3*3]=genXLoad(operands[1],QImode,3);
operands[23+1+3*3]=genSUBREG(operands[1],QImode,3,SImode);
operands[23+2+3*3]=genXClobber(operands[1],QImode,3);
operands[35+0]=gen_label_rtx();
operands[35+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendaisi2"
[(set (match_operand:SI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:SI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 23)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 24)))
(match_dup 23)
(set (reg:QI REG_A) (const_int -1))
(match_dup 24)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,SImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,SImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,SImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,SImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,SImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,SImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,SImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[14+0+3*0]=genXLoad(operands[1],QImode,0);
operands[14+1+3*0]=genSUBREG(operands[1],QImode,0,AImode);
operands[14+2+3*0]=genXClobber(operands[1],QImode,0);
operands[14+0+3*1]=genXLoad(operands[1],QImode,1);
operands[14+1+3*1]=genSUBREG(operands[1],QImode,1,AImode);
operands[14+2+3*1]=genXClobber(operands[1],QImode,1);
operands[14+0+3*2]=genXLoad(operands[1],QImode,2);
operands[14+1+3*2]=genSUBREG(operands[1],QImode,2,AImode);
operands[14+2+3*2]=genXClobber(operands[1],QImode,2);
operands[23+0]=gen_label_rtx();
operands[23+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendaidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 35)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 36)))
(match_dup 35)
(set (reg:QI REG_A) (const_int -1))
(match_dup 36)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
(match_dup 14)
(set (match_dup 15) (reg:QI REG_A))
(match_dup 16)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,AImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0+3*1]=genXLoad(operands[1],QImode,1);
operands[26+1+3*1]=genSUBREG(operands[1],QImode,1,AImode);
operands[26+2+3*1]=genXClobber(operands[1],QImode,1);
operands[26+0+3*2]=genXLoad(operands[1],QImode,2);
operands[26+1+3*2]=genSUBREG(operands[1],QImode,2,AImode);
operands[26+2+3*2]=genXClobber(operands[1],QImode,2);
operands[35+0]=gen_label_rtx();
operands[35+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendaifi2"
[(set (match_operand:FI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:FI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 26)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 27)))
(match_dup 26)
(set (reg:QI REG_A) (const_int -1))
(match_dup 27)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,FImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,FImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,FImode)));
emit_insn(genXClobber(operands[0],QImode,2));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,FImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,FImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,FImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,FImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,FImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[17+0+3*0]=genXLoad(operands[1],QImode,0);
operands[17+1+3*0]=genSUBREG(operands[1],QImode,0,AImode);
operands[17+2+3*0]=genXClobber(operands[1],QImode,0);
operands[17+0+3*1]=genXLoad(operands[1],QImode,1);
operands[17+1+3*1]=genSUBREG(operands[1],QImode,1,AImode);
operands[17+2+3*1]=genXClobber(operands[1],QImode,1);
operands[17+0+3*2]=genXLoad(operands[1],QImode,2);
operands[17+1+3*2]=genSUBREG(operands[1],QImode,2,AImode);
operands[17+2+3*2]=genXClobber(operands[1],QImode,2);
operands[26+0]=gen_label_rtx();
operands[26+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendaici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:CI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 29)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 30)))
(match_dup 29)
(set (reg:QI REG_A) (const_int -1))
(match_dup 30)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,CImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,CImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,CImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,CImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,CImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,CImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[20+0+3*0]=genXLoad(operands[1],QImode,0);
operands[20+1+3*0]=genSUBREG(operands[1],QImode,0,AImode);
operands[20+2+3*0]=genXClobber(operands[1],QImode,0);
operands[20+0+3*1]=genXLoad(operands[1],QImode,1);
operands[20+1+3*1]=genSUBREG(operands[1],QImode,1,AImode);
operands[20+2+3*1]=genXClobber(operands[1],QImode,1);
operands[20+0+3*2]=genXLoad(operands[1],QImode,2);
operands[20+1+3*2]=genSUBREG(operands[1],QImode,2,AImode);
operands[20+2+3*2]=genXClobber(operands[1],QImode,2);
operands[29+0]=gen_label_rtx();
operands[29+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendaiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:EI
    (match_operand:AI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 32)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 33)))
(match_dup 32)
(set (reg:QI REG_A) (const_int -1))
(match_dup 33)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
(match_dup 11)
(set (match_dup 12) (reg:QI REG_A))
(match_dup 13)
]
{
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,AImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,AImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,AImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,EImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,EImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,EImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,EImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,EImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,EImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,EImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[23+0+3*0]=genXLoad(operands[1],QImode,0);
operands[23+1+3*0]=genSUBREG(operands[1],QImode,0,AImode);
operands[23+2+3*0]=genXClobber(operands[1],QImode,0);
operands[23+0+3*1]=genXLoad(operands[1],QImode,1);
operands[23+1+3*1]=genSUBREG(operands[1],QImode,1,AImode);
operands[23+2+3*1]=genXClobber(operands[1],QImode,1);
operands[23+0+3*2]=genXLoad(operands[1],QImode,2);
operands[23+1+3*2]=genSUBREG(operands[1],QImode,2,AImode);
operands[23+2+3*2]=genXClobber(operands[1],QImode,2);
operands[32+0]=gen_label_rtx();
operands[32+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendfidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 41)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 42)))
(match_dup 41)
(set (reg:QI REG_A) (const_int -1))
(match_dup 42)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
(match_dup 8)
(set (match_dup 9) (reg:QI REG_A))
(match_dup 10)
]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,FImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0+3*1]=genXLoad(operands[1],QImode,1);
operands[26+1+3*1]=genSUBREG(operands[1],QImode,1,FImode);
operands[26+2+3*1]=genXClobber(operands[1],QImode,1);
operands[26+0+3*2]=genXLoad(operands[1],QImode,2);
operands[26+1+3*2]=genSUBREG(operands[1],QImode,2,FImode);
operands[26+2+3*2]=genXClobber(operands[1],QImode,2);
operands[26+0+3*3]=genXLoad(operands[1],QImode,3);
operands[26+1+3*3]=genSUBREG(operands[1],QImode,3,FImode);
operands[26+2+3*3]=genXClobber(operands[1],QImode,3);
operands[26+0+3*4]=genXLoad(operands[1],QImode,4);
operands[26+1+3*4]=genSUBREG(operands[1],QImode,4,FImode);
operands[26+2+3*4]=genXClobber(operands[1],QImode,4);
operands[41+0]=gen_label_rtx();
operands[41+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendfici2"
[(set (match_operand:CI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:CI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 35)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 36)))
(match_dup 35)
(set (reg:QI REG_A) (const_int -1))
(match_dup 36)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,CImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,CImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,CImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,CImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,CImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,CImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,CImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,CImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,CImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,CImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,CImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[20+0+3*0]=genXLoad(operands[1],QImode,0);
operands[20+1+3*0]=genSUBREG(operands[1],QImode,0,FImode);
operands[20+2+3*0]=genXClobber(operands[1],QImode,0);
operands[20+0+3*1]=genXLoad(operands[1],QImode,1);
operands[20+1+3*1]=genSUBREG(operands[1],QImode,1,FImode);
operands[20+2+3*1]=genXClobber(operands[1],QImode,1);
operands[20+0+3*2]=genXLoad(operands[1],QImode,2);
operands[20+1+3*2]=genSUBREG(operands[1],QImode,2,FImode);
operands[20+2+3*2]=genXClobber(operands[1],QImode,2);
operands[20+0+3*3]=genXLoad(operands[1],QImode,3);
operands[20+1+3*3]=genSUBREG(operands[1],QImode,3,FImode);
operands[20+2+3*3]=genXClobber(operands[1],QImode,3);
operands[20+0+3*4]=genXLoad(operands[1],QImode,4);
operands[20+1+3*4]=genSUBREG(operands[1],QImode,4,FImode);
operands[20+2+3*4]=genXClobber(operands[1],QImode,4);
operands[35+0]=gen_label_rtx();
operands[35+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendfiei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:EI
    (match_operand:FI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 38)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 39)))
(match_dup 38)
(set (reg:QI REG_A) (const_int -1))
(match_dup 39)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
]
{
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,FImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,FImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,FImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,FImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,FImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,EImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,EImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,EImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,EImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,EImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,EImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,EImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[23+0+3*0]=genXLoad(operands[1],QImode,0);
operands[23+1+3*0]=genSUBREG(operands[1],QImode,0,FImode);
operands[23+2+3*0]=genXClobber(operands[1],QImode,0);
operands[23+0+3*1]=genXLoad(operands[1],QImode,1);
operands[23+1+3*1]=genSUBREG(operands[1],QImode,1,FImode);
operands[23+2+3*1]=genXClobber(operands[1],QImode,1);
operands[23+0+3*2]=genXLoad(operands[1],QImode,2);
operands[23+1+3*2]=genSUBREG(operands[1],QImode,2,FImode);
operands[23+2+3*2]=genXClobber(operands[1],QImode,2);
operands[23+0+3*3]=genXLoad(operands[1],QImode,3);
operands[23+1+3*3]=genSUBREG(operands[1],QImode,3,FImode);
operands[23+2+3*3]=genXClobber(operands[1],QImode,3);
operands[23+0+3*4]=genXLoad(operands[1],QImode,4);
operands[23+1+3*4]=genSUBREG(operands[1],QImode,4,FImode);
operands[23+2+3*4]=genXClobber(operands[1],QImode,4);
operands[38+0]=gen_label_rtx();
operands[38+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendcidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 44)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 45)))
(match_dup 44)
(set (reg:QI REG_A) (const_int -1))
(match_dup 45)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
(match_dup 5)
(set (match_dup 6) (reg:QI REG_A))
(match_dup 7)
]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,CImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0+3*1]=genXLoad(operands[1],QImode,1);
operands[26+1+3*1]=genSUBREG(operands[1],QImode,1,CImode);
operands[26+2+3*1]=genXClobber(operands[1],QImode,1);
operands[26+0+3*2]=genXLoad(operands[1],QImode,2);
operands[26+1+3*2]=genSUBREG(operands[1],QImode,2,CImode);
operands[26+2+3*2]=genXClobber(operands[1],QImode,2);
operands[26+0+3*3]=genXLoad(operands[1],QImode,3);
operands[26+1+3*3]=genSUBREG(operands[1],QImode,3,CImode);
operands[26+2+3*3]=genXClobber(operands[1],QImode,3);
operands[26+0+3*4]=genXLoad(operands[1],QImode,4);
operands[26+1+3*4]=genSUBREG(operands[1],QImode,4,CImode);
operands[26+2+3*4]=genXClobber(operands[1],QImode,4);
operands[26+0+3*5]=genXLoad(operands[1],QImode,5);
operands[26+1+3*5]=genSUBREG(operands[1],QImode,5,CImode);
operands[26+2+3*5]=genXClobber(operands[1],QImode,5);
operands[44+0]=gen_label_rtx();
operands[44+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendciei2"
[(set (match_operand:EI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:EI
    (match_operand:CI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 41)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 42)))
(match_dup 41)
(set (reg:QI REG_A) (const_int -1))
(match_dup 42)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,CImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,EImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,CImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,EImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,CImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,EImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,CImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,EImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,CImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,EImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,CImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,EImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,EImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,EImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,EImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,EImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,EImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,EImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,EImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[23+0+3*0]=genXLoad(operands[1],QImode,0);
operands[23+1+3*0]=genSUBREG(operands[1],QImode,0,CImode);
operands[23+2+3*0]=genXClobber(operands[1],QImode,0);
operands[23+0+3*1]=genXLoad(operands[1],QImode,1);
operands[23+1+3*1]=genSUBREG(operands[1],QImode,1,CImode);
operands[23+2+3*1]=genXClobber(operands[1],QImode,1);
operands[23+0+3*2]=genXLoad(operands[1],QImode,2);
operands[23+1+3*2]=genSUBREG(operands[1],QImode,2,CImode);
operands[23+2+3*2]=genXClobber(operands[1],QImode,2);
operands[23+0+3*3]=genXLoad(operands[1],QImode,3);
operands[23+1+3*3]=genSUBREG(operands[1],QImode,3,CImode);
operands[23+2+3*3]=genXClobber(operands[1],QImode,3);
operands[23+0+3*4]=genXLoad(operands[1],QImode,4);
operands[23+1+3*4]=genSUBREG(operands[1],QImode,4,CImode);
operands[23+2+3*4]=genXClobber(operands[1],QImode,4);
operands[23+0+3*5]=genXLoad(operands[1],QImode,5);
operands[23+1+3*5]=genSUBREG(operands[1],QImode,5,CImode);
operands[23+2+3*5]=genXClobber(operands[1],QImode,5);
operands[41+0]=gen_label_rtx();
operands[41+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn_and_split "extendeidi2"
[(set (match_operand:DI 0 "regmemptne_operand" "=&rATQ")
  (sign_extend:DI
    (match_operand:EI 1 "regmemimmpt_operand" "rATQi")
))]
"!is_lowlevel()"
"error"
"is_lowlevel()"
[
(set (pc) (if_then_else (lt (cc0) (const_int 0)) (label_ref (match_dup 47)) (pc)))
(set (reg:QI REG_A) (const_int 0))
(set (pc) (label_ref (match_dup 48)))
(match_dup 47)
(set (reg:QI REG_A) (const_int -1))
(match_dup 48)
(match_dup 2)
(set (match_dup 3) (reg:QI REG_A))
(match_dup 4)
]
{
emit_insn(genXLoad(operands[1],QImode,6));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,6,EImode)));
emit_insn(genXClobber(operands[1],QImode,6));
emit_insn(genXLoad(operands[0],QImode,7));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,7,DImode)));
emit_insn(genXClobber(operands[0],QImode,7));
emit_insn(genXLoad(operands[1],QImode,5));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,5,EImode)));
emit_insn(genXClobber(operands[1],QImode,5));
emit_insn(genXLoad(operands[0],QImode,6));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,6,DImode)));
emit_insn(genXClobber(operands[0],QImode,6));
emit_insn(genXLoad(operands[1],QImode,4));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,4,EImode)));
emit_insn(genXClobber(operands[1],QImode,4));
emit_insn(genXLoad(operands[0],QImode,5));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,5,DImode)));
emit_insn(genXClobber(operands[0],QImode,5));
emit_insn(genXLoad(operands[1],QImode,3));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,3,EImode)));
emit_insn(genXClobber(operands[1],QImode,3));
emit_insn(genXLoad(operands[0],QImode,4));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,4,DImode)));
emit_insn(genXClobber(operands[0],QImode,4));
emit_insn(genXLoad(operands[1],QImode,2));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,2,EImode)));
emit_insn(genXClobber(operands[1],QImode,2));
emit_insn(genXLoad(operands[0],QImode,3));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,3,DImode)));
emit_insn(genXClobber(operands[0],QImode,3));
emit_insn(genXLoad(operands[1],QImode,1));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,1,EImode)));
emit_insn(genXClobber(operands[1],QImode,1));
emit_insn(genXLoad(operands[0],QImode,2));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,2,DImode)));
emit_insn(genXClobber(operands[0],QImode,2));
emit_insn(genXLoad(operands[1],QImode,0));
emit_insn(gen_LDA(genSUBREG(operands[1],QImode,0,EImode)));
emit_insn(genXClobber(operands[1],QImode,0));
emit_insn(genXLoad(operands[0],QImode,1));
emit_insn(gen_STA(genSUBREG(operands[0],QImode,1,DImode)));
emit_insn(genXClobber(operands[0],QImode,1));
operands[2+3*0]=genXLoad(operands[0],QImode,0);
operands[3+3*0]=genSUBREG(operands[0],QImode,0,DImode);
operands[4+3*0]=genXClobber(operands[0],QImode,0);
operands[2+3*1]=genXLoad(operands[0],QImode,1);
operands[3+3*1]=genSUBREG(operands[0],QImode,1,DImode);
operands[4+3*1]=genXClobber(operands[0],QImode,1);
operands[2+3*2]=genXLoad(operands[0],QImode,2);
operands[3+3*2]=genSUBREG(operands[0],QImode,2,DImode);
operands[4+3*2]=genXClobber(operands[0],QImode,2);
operands[2+3*3]=genXLoad(operands[0],QImode,3);
operands[3+3*3]=genSUBREG(operands[0],QImode,3,DImode);
operands[4+3*3]=genXClobber(operands[0],QImode,3);
operands[2+3*4]=genXLoad(operands[0],QImode,4);
operands[3+3*4]=genSUBREG(operands[0],QImode,4,DImode);
operands[4+3*4]=genXClobber(operands[0],QImode,4);
operands[2+3*5]=genXLoad(operands[0],QImode,5);
operands[3+3*5]=genSUBREG(operands[0],QImode,5,DImode);
operands[4+3*5]=genXClobber(operands[0],QImode,5);
operands[2+3*6]=genXLoad(operands[0],QImode,6);
operands[3+3*6]=genSUBREG(operands[0],QImode,6,DImode);
operands[4+3*6]=genXClobber(operands[0],QImode,6);
operands[2+3*7]=genXLoad(operands[0],QImode,7);
operands[3+3*7]=genSUBREG(operands[0],QImode,7,DImode);
operands[4+3*7]=genXClobber(operands[0],QImode,7);
operands[26+0+3*0]=genXLoad(operands[1],QImode,0);
operands[26+1+3*0]=genSUBREG(operands[1],QImode,0,EImode);
operands[26+2+3*0]=genXClobber(operands[1],QImode,0);
operands[26+0+3*1]=genXLoad(operands[1],QImode,1);
operands[26+1+3*1]=genSUBREG(operands[1],QImode,1,EImode);
operands[26+2+3*1]=genXClobber(operands[1],QImode,1);
operands[26+0+3*2]=genXLoad(operands[1],QImode,2);
operands[26+1+3*2]=genSUBREG(operands[1],QImode,2,EImode);
operands[26+2+3*2]=genXClobber(operands[1],QImode,2);
operands[26+0+3*3]=genXLoad(operands[1],QImode,3);
operands[26+1+3*3]=genSUBREG(operands[1],QImode,3,EImode);
operands[26+2+3*3]=genXClobber(operands[1],QImode,3);
operands[26+0+3*4]=genXLoad(operands[1],QImode,4);
operands[26+1+3*4]=genSUBREG(operands[1],QImode,4,EImode);
operands[26+2+3*4]=genXClobber(operands[1],QImode,4);
operands[26+0+3*5]=genXLoad(operands[1],QImode,5);
operands[26+1+3*5]=genSUBREG(operands[1],QImode,5,EImode);
operands[26+2+3*5]=genXClobber(operands[1],QImode,5);
operands[26+0+3*6]=genXLoad(operands[1],QImode,6);
operands[26+1+3*6]=genSUBREG(operands[1],QImode,6,EImode);
operands[26+2+3*6]=genXClobber(operands[1],QImode,6);
operands[47+0]=gen_label_rtx();
operands[47+1]=gen_label_rtx();
}
[(set_attr "cc" "clobber")])
(define_insn "beq"
  [(set (pc)
        (if_then_else (eq (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "beq %0"
[(set_attr "cc" "none")])
(define_insn "bne"
  [(set (pc)
        (if_then_else (ne (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bne %0"
[(set_attr "cc" "none")])
(define_insn "bge"
  [(set (pc)
        (if_then_else (ge (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bpl %0"
[(set_attr "cc" "none")])
(define_insn "bgeu"
  [(set (pc)
        (if_then_else (geu (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bhs %0"
[(set_attr "cc" "none")])
(define_insn "blt"
  [(set (pc)
        (if_then_else (lt (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bmi %0"
[(set_attr "cc" "none")])
(define_insn "bltu"
  [(set (pc)
        (if_then_else (ltu (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "blo %0"
[(set_attr "cc" "none")])
(define_insn "ble"
  [(set (pc)
        (if_then_else (le (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "beq %0\;bmi %0"
[(set_attr "cc" "none")])
(define_insn "bleu"
  [(set (pc)
        (if_then_else (leu (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bls %0"
[(set_attr "cc" "none")])
(define_insn "bgt"
  [(set (pc)
        (if_then_else (gt (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bmi _L_%=\;bne %0\;_L_%=:# %0"
[(set_attr "cc" "none")])
(define_insn "bgtu"
  [(set (pc)
        (if_then_else (gtu (cc0) (const_int 0))
                      (label_ref (match_operand 0 "" ""))
                      (pc)))]
  ""
  "bhi %0"
[(set_attr "cc" "none")])

(define_predicate "loram_operand"
  (match_operand 0 "memory_operand")
{
  if (GET_CODE (op) == SUBREG)
    op = SUBREG_REG (op);
  return MEM_REF_FLAGS (op) & 2;
})

(define_predicate "eeprom_operand"
  (match_operand 0 "memory_operand")
{
  if (GET_CODE (op) == SUBREG)
    op = SUBREG_REG (op);
  return MEM_REF_FLAGS (op) & 1;
})

;; operand refering to the stack

(define_predicate "memspaddr_operand"
  (match_code "mem,subreg")
{
  if (GET_CODE (op) == SUBREG)
    op = XEXP (op, 0);
  if (GET_CODE (op) != MEM)
    return 0;
  op = XEXP (op, 0);
  return spaddr_operand (op, HImode);
})


;; operand refering to a fixed memory location (eg a global variable)
(define_predicate "fixaddr_operand"
   (match_code "mem,subreg")
{
  if (GET_CODE (op) == MEM)
    {
      op = XEXP (op, 0);
      if (constant_addr (op))
  	return 1;
    }
  if (GET_CODE (op) == SUBREG && mode == GET_MODE (op))
    if (fixaddr_operand (XEXP (op, 0), VOIDmode))
      return 1;
  return 0;
})

;; operand in memory pointed to by a pointer
;; also an offset of 0-7 is possible for lowlevel RTL and
;; registers to be reloaded are also accepted as pointer

(define_predicate "pointerderef_operand"
   (match_code "mem,subreg")
{
  if (extra_constraint (op, 'Q'))
    return 1;
  if (GET_CODE (op) == MEM)
    {
      op = XEXP (op, 0);
      if (GET_CODE (op) == REG && GET_MODE (op) == HImode)
	return 1;
      if (GET_CODE (op) == ADDRESS && REG_P (XEXP (op, 0)))
	return 1;
    }
  if (GET_CODE (op) == SUBREG
      && pointerderef_operand (XEXP (op, 0), GET_MODE (XEXP (op, 0))))
    return 1;
  return 0;
})

;; immediate operand 
;; accepts also SUBREG of CONSTANT_P, which are used to represent parts of constant

(define_predicate "imm_operand"
  (ior (match_operand 0 "immediate_operand")
       (and (match_code "subreg")
            (match_test "CONSTANT_P (XEXP (op, 0)) && GET_MODE (XEXP (op, 0)) != VOIDmode"))))

;; memory pointer to be a ADDRESS construct

(define_predicate "memaddr_operand"
  (match_code "mem")
{
  op = XEXP (op, 0);
  if (GET_CODE (op) == ADDRESS)
    return 1;
  return 0;
})

;; Recognize operand OP of mode MODE used in call instructions

(define_predicate "call_insn_operand"
  (match_code "mem")
{
  rtx inside = XEXP (op, 0);
  if (register_operand (inside, HImode))
   return 1;
  if (CONSTANT_ADDRESS_P (inside))
   return 1;
  return 0;
})

;; a register

(define_predicate "regsp_operand"
  (match_operand 0 "register_operand"))

;; register or fixed memory location

(define_predicate "regmem_operand"
  (ior (match_operand 0 "regsp_operand")
       (match_operand 0 "fixaddr_operand")))


;; register or fixed memory location or immediate 

(define_predicate "regmemimm_operand"
  (ior (ior (match_operand 0 "regsp_operand")
            (match_operand 0 "imm_operand"))
       (match_operand 0 "fixaddr_operand")))

;; register or fixed memory location or memory pointer to by a base register

(define_predicate "regmempt_operand"
  (ior (ior (match_operand 0 "regmem_operand")
            (match_operand 0 "pointerderef_operand"))
       (match_operand 0 "memspaddr_operand")))


;; register or fixed memory location or stack or immediate

(define_predicate "regmemimmst_operand"
  (ior (match_operand 0 "regmemimm_operand")
       (match_operand 0 "memspaddr_operand")))



;; register or fixed memory location or memory pointer to by a base register or immediate

(define_predicate "regmemimmpt_operand"
  (ior (ior (match_operand 0 "regmemimm_operand")
            (match_operand 0 "pointerderef_operand"))
       (match_operand 0 "memspaddr_operand")))

(define_predicate "regmemptne_operand"
  (and (match_operand 0 "regmempt_operand")
	(not (match_operand 0 "eeprom_operand"))))

(define_predicate "regmemne_operand"
  (and (match_operand 0 "regmem_operand")
	(not (match_operand 0 "eeprom_operand"))))

